#!/bin/bash

if [ -d "${PWD}/deploy" ]; then
  SCRIPT_DIR="${PWD}/deploy"
else
  SCRIPT_DIR="${PWD}"
fi

: "${PORT:=8880}"
: "${CONTROL_PORT:=8881}"

echo "JAVA_MEMORY_ARGS=$JAVA_MEMORY_ARGS"
echo "JAVA_OPTS=$JAVA_OPTS"

echo "BRANCH_NAME=$BRANCH_NAME"
echo "BUILD_NUMBER=$BUILD_NUMBER"

echo "PORT=$PORT"

status=0
set +e
TZ=UTC BRANCH_NAME=$BRANCH_NAME BUILD_NUMBER=$BUILD_NUMBER exec java $JAVA_OPTS $JAVA_MEMORY_ARGS -XshowSettings:vm -jar "${SCRIPT_DIR}/app.jar" -server.port=8880 -management.server.port=8881 "$@"
status=$?
set -e

echo "$(date): jvm exited with status code ${status}"
exit ${status}
